aufs include is broken

Bug #1181755 reported by Jeremy Bicha on 2013-05-19
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
aufs-tools (Ubuntu)
High
Unassigned
Saucy
High
Unassigned
linux (Ubuntu)
Undecided
Tim Gardner
Saucy
Undecided
Tim Gardner

Bug Description

aufs-tools fails to build from source on Saucy but works on Raring.

make[1]: Entering directory `/«BUILDDIR»/aufs-tools-3.0+20130111'
cc -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -I./libau -O -Wall -D_FORTIFY_SOURCE=2 -DMOUNT_CMD_PATH=\"\" -Wl,-Bsymbolic-functions -Wl,-z,relro ver.c -o ver
In file included from ver.c:19:0:
/usr/include/linux/aufs_type.h:19:34: fatal error: uapi/linux/aufs_type.h: No such file or directory
 #include <uapi/linux/aufs_type.h>
                                                               ^
compilation terminated.

I then looked at /usr/include/linux/aufs_type.h and I see that it only contains one line:
#include <uapi/linux/aufs_type.h>

But there isn't a /usr/include/uapi/linux/aufs_type.h

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: linux-image-3.9.0-2-generic 3.9.0-2.6
ProcVersionSignature: Ubuntu 3.9.0-2.6-generic 3.9.2
Uname: Linux 3.9.0-2-generic x86_64
ApportVersion: 2.10.1-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jeremy 7559 F.... pulseaudio
Date: Sun May 19 09:36:58 2013
HibernationDevice: RESUME=UUID=8a987d31-1e7f-4075-9eb9-3d8f865d69e5
MachineType: TOSHIBA Satellite L745
MarkForUpload: True
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.9.0-2-generic root=UUID=da074346-bf87-4cf5-a9ec-8589cb501c4e ro quiet splash usbcore.autosuspend=-1 vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: Daemon not responding.
RelatedPackageVersions:
 linux-restricted-modules-3.9.0-2-generic N/A
 linux-backports-modules-3.9.0-2-generic N/A
 linux-firmware 1.108
SourcePackage: linux
UpgradeStatus: Upgraded to saucy on 2013-05-07 (11 days ago)
WifiSyslog:

dmi.bios.date: 06/26/2012
dmi.bios.vendor: INSYDE
dmi.bios.version: 2.60
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Base Board Product Name
dmi.board.vendor: Intel Corp.
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: OEM Chassis Manufacturer
dmi.chassis.version: OEM Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvr2.60:bd06/26/2012:svnTOSHIBA:pnSatelliteL745:pvrPSK0YU-05R02G:rvnIntelCorp.:rnBaseBoardProductName:rvrBaseBoardVersion:cvnOEMChassisManufacturer:ct10:cvrOEMChassisVersion:
dmi.product.name: Satellite L745
dmi.product.version: PSK0YU-05R02G
dmi.sys.vendor: TOSHIBA

Revision history for this message
Jeremy Bicha (jbicha) wrote :
description: updated
tags: added: regression-release
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
affects: linux (Ubuntu) → aufs-tools (Ubuntu)
Changed in aufs-tools (Ubuntu):
status: Confirmed → New
Revision history for this message
Scott Moser (smoser) wrote :

Verified that the contents of /usr/include/linux/aufs_type.h changed somewhere between raring and saucy. Previously there was actual content in that file, that has been replaced with a '#include' to the non-existant uapi/linux/aufs_type.h

/usr/include/linux/aufs_type.h comes from linux-libc-dev.

Changed in aufs-tools (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Revision history for this message
Brad Figg (brad-figg) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Tim Gardner (timg-tpi) on 2013-08-20
Changed in linux (Ubuntu Saucy):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.11.0-3.7

---------------
linux (3.11.0-3.7) saucy; urgency=low

  [ Tim Gardner ]

  * SAUCE: (no-up) hv_vss_daemon -- prevent self-daemonising to allow
    upstart to track
  * SAUCE: (no-up) hv -- bodge hv_vss_daemon so it can use the local
    linux/hyperv.h
  * SAUCE: hv: Add vss daemon to Makefile
  * [Debian] Add hv_vss_daemon to tools package
    - LP: #1213282
  * [Config] Fix ubuntu directoy Kbuilds
    - LP: #1181755
 -- Tim Gardner <email address hidden> Tue, 20 Aug 2013 08:34:05 -0600

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
Revision history for this message
Rolf Leggewie (r0lf) wrote :

saucy has seen the end of its life and is no longer receiving any updates. Marking the saucy task for this ticket as "Won't Fix".

Changed in aufs-tools (Ubuntu Saucy):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers